WriteApportReport crashed with SIGSEGV in strlen()

Bug #144537 reported by danilo on 2007-09-24
94
Affects Status Importance Assigned to Milestone
apt (Ubuntu)
High
Michael Vogt

Bug Description

Binary package hint: synaptic

Gutsy making a regular daily upgrade & dist-upgrade

HTH

ProblemType: Crash
Architecture: i386
Date: Mon Sep 24 10:28:46 2007
DistroRelease: Ubuntu 7.10
ExecutablePath: /usr/sbin/synaptic
NonfreeKernelModules: cdrom
Package: synaptic 0.60ubuntu4 [modified: usr/sbin/synaptic]
PackageArchitecture: i386
ProcCmdline: /usr/sbin/synaptic
ProcCwd: /home/ubuntu
ProcEnviron:
 PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/X11R6/bin
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
Signal: 11
SourcePackage: synaptic
StacktraceTop:
 strlen () from /lib/tls/i686/cmov/libc.so.6
 ?? ()
 ?? ()
 ?? ()
 ?? ()
Title: synaptic crashed with SIGSEGV in strlen()
Uname: Linux ubu-casa 2.6.22-12-generic #1 SMP Sun Sep 23 18:11:30 GMT 2007 i686 GNU/Linux
UserGroups:

Related branches

danilo (danilo-elart) wrote :

StacktraceTop:strlen () from /lib/tls/i686/cmov/libc.so.6
pkgDPkgPM::WriteApportReport (this=0x8a87be0,
pkgDPkgPM::ProcessDpkgStatusLine (this=0x8a87be0, OutStatusFd=32, line=0x8a87bf8 "status")
pkgDPkgPM::DoDpkgStatusFd (this=0x8a87be0, statusfd=34, OutStatusFd=32) at deb/dpkgpm.cc:482
pkgDPkgPM::Go (this=0x8a87be0, OutStatusFd=32) at deb/dpkgpm.cc:862

Changed in synaptic:
importance: Undecided → Medium
Michael Vogt (mvo) on 2007-10-04
Changed in apt:
assignee: nobody → mvo
importance: Medium → High
status: New → Fix Committed
Michael Vogt (mvo) wrote :

apt (0.7.6ubuntu13) gutsy; urgency=low

  * apt-pkg/deb/dpkgpm.cc:
    - fix crash in WriteApportReport (LP: #144537)
  * apt-pkg/acquire-item.cc
    - fix disappearing local Packages.gz file (LP: #131166)
  * methods/https.cc:
    - fix off-by-one error I-M-S handling
    - cleanup after I-M-S hit

 -- Michael Vogt <email address hidden> Tue, 09 Oct 2007 01:48:26 +0200

Changed in apt:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers